/****************************************************************************
*
*    Copyright (c) 2016 - 2099 by LJW.  All rights reserved.
*
*    The material in this file is confidential and contains trade secrets
*    of LJW. This is proprietary information owned by LJW. No
*    part of this work may be disclosed, reproduced, copied, transmitted,
*    or used in any way for any purpose, without the express written
*    permission of LJW.
*
*****************************************************************************/

/******************************************************************************
 *
 *  版权所有(c)，2020-2099，中船第709研究所
 *
 *******************************************************************************
 *
 *  文件名称: ljmicro_ddc.h
 *  版 本 号: V1.0
 *  作    者: 胡艳明
 *  生成日期: 2022年4月15日
 *
 *  功能描述: DDC协议驱动头文件
 *
 *  修改历史:
 *         1. 日    期: 2022年4月15日
 *            作    者: 胡艳明
 *            修改内容: 创建文件
 *
 ******************************************************************************/

#ifndef __LJMICRO_DDC_H__
#define __LJMICRO_DDC_H__

/******************************************************************************
 *                                    函数声明                                    *
 ******************************************************************************/

struct edid *ljm_ddc_get_edid(void *hw_dev,
                              int (*i2c_read_req)(void *hw_dev, unsigned char target, unsigned char addr,
                                                  unsigned char *buf, int size),
                              int (*i2c_raw_write_req)(void *hw_dev, unsigned char target, unsigned char data),
                              int *psize);

#endif /* __LJMICRO_DDC_H__ */
