/****************************************************************************
*
*    Copyright (c) 2016 - 2099 by LJW.  All rights reserved.
*
*    The material in this file is confidential and contains trade secrets
*    of LJW. This is proprietary information owned by LJW. No
*    part of this work may be disclosed, reproduced, copied, transmitted,
*    or used in any way for any purpose, without the express written
*    permission of LJW.
*
*****************************************************************************/

#ifndef _LJMICRO_PROC_H
#define _LJMICRO_PROC_H
#include "ljmicro_device.h"

#define FIRMWARE_INFO_OFFSET    0x7ff80
#define FIRMWARE_INFO_SIZE      126

typedef struct _Gop_info{

    uint32_t  sign_code;
    uint32_t  fw_type;
    uint8_t   fw_ver[64];
    uint32_t  offset;
    uint32_t  total_bytes;
    uint32_t  str_start;

} Gop_info;

int gpuinfo_proc_init(unsigned int card);
uint32_t ljm_gp200_get_freq(int card, int type);
void ljmicro_proc_exit(unsigned int card);
int get_3Dcore_num(uint32_t card);
int get_2Dcore_num(uint32_t card);

#define GOP_INFO_SIZE           0x80
#define GOP_INFO_OFFSET         0x8000000
#define SIGN_CODE               0x907aa55

#endif