/****************************************************************************
*
*    Copyright (c) 2016 - 2099 by LJW.  All rights reserved.
*
*    The material in this file is confidential and contains trade secrets
*    of LJW. This is proprietary information owned by LJW. No
*    part of this work may be disclosed, reproduced, copied, transmitted,
*    or used in any way for any purpose, without the express written
*    permission of LJW.
*
*****************************************************************************/

#ifndef __lj_hal_base_shared_h_
#define __lj_hal_base_shared_h_

#ifdef __cplusplus
extern "C" {
#endif

#define ljdBINARY_TRACE_MESSAGE_SIZE    240

typedef struct _ljsBINARY_TRACE_MESSAGE *ljsBINARY_TRACE_MESSAGE_PTR;
typedef struct _ljsBINARY_TRACE_MESSAGE {
    ljtUINT32   signature;
    ljtUINT32   pid;
    ljtUINT32   tid;
    ljtUINT32   line;
    ljtUINT32   numArguments;
    ljtUINT8    payload;
} ljsBINARY_TRACE_MESSAGE;

/* ljsOBJECT object defintinon. */
typedef struct _ljsOBJECT {
    /* Type of an object. */
    ljeOBJECT_TYPE      type;
} ljsOBJECT;

#ifdef __cplusplus
}
#endif

#endif /* __lj_hal_base_shared_h_ */


