/****************************************************************************
*
*    Copyright (c) 2016 - 2099 by LJW.  All rights reserved.
*
*    The material in this file is confidential and contains trade secrets
*    of LJW. This is proprietary information owned by LJW. No
*    part of this work may be disclosed, reproduced, copied, transmitted,
*    or used in any way for any purpose, without the express written
*    permission of LJW.
*
*****************************************************************************/

#ifndef __LJMICRO_DAC_H__
#define __LJMICRO_DAC_H__

int ljm_dac_pwr_down(int card, int index);
int ljm_dac_pwr_up(int card, int index);
void ljm_dac_dpms(struct vga_dev *vga, int card, int index, int mode);
int ljm_dac_fs_current_set(int card, int index, int ch, u8 val);
int ljm_dac_ctrl_set(int card, int index, u16 val);
int ljm_dac_ctrl_get(int card, int index, u16 *val);
bool ljm_dac_is_connected(int card, int index);
bool ljm_dac_is_hpd_irq(int card, int index);
int ljm_dac_hpd_irq_clear(int card, int index);
int ljm_dac_hpd_irq_enable(int card, int index, int enable);
int ljm_dac_irq_process(int card, int index);
bool ljm_dac_mode_valid(const struct drm_display_mode *mode);
int ljm_dac_ch_gain_set(struct vga_dev *vga, u8 red, u8 green, u8 blue);


#endif /* __LJMICRO_DAC_H__ */
