/****************************************************************************
*
*    Copyright (c) 2016 - 2099 by LJW.  All rights reserved.
*
*    The material in this file is confidential and contains trade secrets
*    of LJW. This is proprietary information owned by LJW. No
*    part of this work may be disclosed, reproduced, copied, transmitted,
*    or used in any way for any purpose, without the express written
*    permission of LJW.
*
*****************************************************************************/

#ifndef __LJMICRO_DDRV2_H__
#define __LJMICRO_DDRV2_H__

#include "ljmicro_base.h"

#define IMAGE_TYPE_DDR 0x5244   /* "DR" */

enum LjmDdrErrCode {
    LJM_DDR_SUCCESS = 0,
    LJM_DDR_ERR_NULL_POINT = 1,
    LJM_DDR_ERR_SPI_READ = 2,
    LJM_DDR_ERR_IMG_INVALID = 3,
    LJM_DDR_ERR_CRC = 4,
    LJM_DDR_ERR_ALLOC = 5,
    LJM_DDR_ERR_EXT_IMG_SIZE = 6,
};

#endif /*__LJMICRO_DDRV2_H__*/