/****************************************************************************
*
*    Copyright (c) 2016 - 2099 by LJW.  All rights reserved.
*
*    The material in this file is confidential and contains trade secrets
*    of LJW. This is proprietary information owned by LJW. No
*    part of this work may be disclosed, reproduced, copied, transmitted,
*    or used in any way for any purpose, without the express written
*    permission of LJW.
*
*****************************************************************************/

/**************************************************************************
* 版权所有 (C)2022, 武汉凌久微电子有限公司。
*
* 文件名称： ljmicro_hdmi_codec.h
* 文件标识：
* 内容摘要： 本文件定义HDMI接口音频驱动相关的数据结构
* 其它说明：
* 当前版本： v1.0
* 作    者： zhoupw, 武汉凌久微电子有限公司
* 完成日期： 2022年4月27日
***************************************************************************/

#ifndef LJMICRO_HDMI_CODEC_H
#define LJMICRO_HDMI_CODEC_H

#include "ljmicro_base.h"

struct hdmi_dev;

struct ljm_hdmi_codec_data {
    struct hdmi_dev *hdmi;
    u8 *eld;

    void (*write)(struct hdmi_dev *hdmi, u8 val, int offset);
    u8 (*read)(struct hdmi_dev *hdmi, int offset);
};

#endif

