/****************************************************************************
*
*    Copyright (c) 2016 - 2099 by LJW.  All rights reserved.
*
*    The material in this file is confidential and contains trade secrets
*    of LJW. This is proprietary information owned by LJW. No
*    part of this work may be disclosed, reproduced, copied, transmitted,
*    or used in any way for any purpose, without the express written
*    permission of LJW.
*
*****************************************************************************/

#ifndef __LJMICRO_OBJECT_H__
#define __LJMICRO_OBJECT_H__

int ljm_bo_create(struct ljm_device *ljm_dev, unsigned long size, struct ljm_gem_object **bo_ptr);
int ljm_bo_kmap(struct ljm_gem_object *bo, void **ptr);
void ljm_bo_kunmap(struct ljm_gem_object *bo);
struct ljm_gem_object *ljm_bo_ref(struct ljm_gem_object *bo);
void ljm_bo_unref(struct ljm_gem_object **pbo);
int ljm_bo_pin(struct ljm_gem_object *bo, u64 *vram_offset);
int ljm_bo_unpin(struct ljm_gem_object *bo);
void ljm_bo_force_delete(struct ljm_device *ljm_dev);
int ljm_get_vram(struct drm_device *ddev, struct ljm_gem_object *bo);
int ljm_put_vram(struct drm_device *ddev, struct ljm_gem_object *bo);

#endif
