/****************************************************************************
*
*    Copyright (c) 2016 - 2099 by LJW.  All rights reserved.
*
*    The material in this file is confidential and contains trade secrets
*    of LJW. This is proprietary information owned by LJW. No
*    part of this work may be disclosed, reproduced, copied, transmitted,
*    or used in any way for any purpose, without the express written
*    permission of LJW.
*
*****************************************************************************/

#ifndef __LJMICRO_PM_H__
#define __LJMICRO_PM_H__
#include "ljmicro_base.h"

/**
 *  函 数 名：ljm_pm_init
 *  功能描述：GPU power manager 节点初始化
 *  输入参数：struct ljm_device *ljm_dev ：ljm_dev 设备结构体
 *  输出参数：无
 *  返 回 值：成功返回 0 ，失败返回其他值
*/
int ljm_pm_init(struct ljm_device *ljm_dev);

/**
 *  函 数 名：ljm_pm_exit
 *  功能描述：清除 GPU power manager 节点
 *  输入参数：struct ljm_device *ljm_dev ：ljm_dev 设备结构体
 *  输出参数：无
 *  返 回 值：空
*/
void ljm_pm_exit(struct ljm_device *ljm_dev);

#endif /* __LIMICRO_PM_H__ */